device='4'
model='llava_v1.5_7B'
# dimensions=("privacy" "bias" "toxicity" "hallucination" "legality")
dimensions='all'
validate_dataset='MLLMGuard'

num_heads_list=(8 16 24)
alpha_list=(1 3 5 7 9)
# num_heads_list=(24)
# alpha_list=(15 20 25 30)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        subfix="_${num_head}_${alpha}_com_withselectimg"
        python eval/guardrank/eval.py --model $model \
                        --dimensions $dimensions \
                        --log_file "logs/evaluate-${category}_${model}.log" \
                        --device $device \
                        --validate_dataset $validate_dataset \
                        --subfix $subfix
    done
done